
--------------------------- Get Grid State ----------------
function GetProjectGrid()
  local grid_time,beats,measures,cml,grid_div
  grid_time = reaper.BR_GetNextGridDivision(0)
  beats, measures, cml = reaper.TimeMap2_timeToBeats(0, grid_time)
  if measures == 0 then
    grid_div = math.ceil(cml/beats)
    if grid_div % 3 == 0 then grid_string = "1/"..math.floor(grid_div/3*2).."T" 
      else
       grid_string = "1/"..math.floor(grid_div)
    end
   else
    grid_string = measures
  end 
  return grid_string
end

grid_str = GetProjectGrid()



---------------------- Main Window and Text Output ---------------------

local wnd_w, wnd_h = 400, 125

-- Get the screen size
local __, __, scr_w, scr_h = reaper.my_getViewport(0, 0, 0, 0, 0, 0, 0, 0, 1)

-- Window background
gfx.clear = reaper.ColorToNative(255,255,255)

-- Open the window
--          Name    w       h   dock    x                   y
gfx.init(msg_title, wnd_w, wnd_h, 0, (scr_w - wnd_w) / 2, (scr_h - wnd_h) / 2)

gfx.setfont(1, "Arial", 28)

-- Black
gfx.set(0, 0, 0, 1)

-- Center the text
local str_w, str_h = gfx.measurestr(grid_string)
local txt_x, txt_y = (gfx.w - str_w) / 2, (gfx.h - str_h) / 2

local function Main()
    
 -- Get the keyboard/window state
    local char = gfx.getchar()
    
    -- Reasons to end the script:
    --  Esc           Window closed    
    if char == 27 or char == -1 then return end
    
     
    -- Center the text
    gfx.x, gfx.y = txt_x, txt_y
    gfx.drawstr(grid_string)
    
    -- Maintain the window and keep the script running
    gfx.update()
    reaper.defer(Main)
    
end

Main()
